Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154605 - [redhat-lsb] unable to run LSB3.0 runtime test
Summary: [redhat-lsb] unable to run LSB3.0 runtime test
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: redhat-lsb
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Leon Ho
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 145007 156322
TreeView+ depends on / blocked
 
Reported: 2005-04-12 23:30 UTC by Lawrence Lim
Modified: 2014-03-26 00:52 UTC (History)
2 users (show)

Fixed In Version: RHEA-2005-649
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 16:37:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2005:649 qe-ready SHIPPED_LIVE redhat-lsb enhancement update 2005-10-05 04:00:00 UTC

Description Lawrence Lim 2005-04-12 23:30:53 UTC
Description of problem:
running lsb-runtime-test-2.9.0-2 (pre 3.0), produces the following error message
and the test stop.

The LSB loader /lib/ld-lsb.so.3 does not exist. The
test suites will not run without it. If you are running this
on a non LSB compliant system and still wish to execute the
test suites then creating a symlink for /lib/ld-lsb.so.3 to
/lib/ld-linux.so.2 before re-running this program is most
likely the correct thing to do.

Version-Release number of selected component (if applicable):
redhat-lsb-1.3-5.2

How reproducible:
Always

Steps to Reproduce:
1.install lsb-runtime-test-2.9.0-2
2.su - vsx0
3.run_test
  
Actual results:
The error message describe earlier, and unable to proceed further with the test

Expected results:
Able to comeplete the test.

Additional info:

Comment 1 Lawrence Lim 2005-04-13 04:01:53 UTC
Error from x86_64 arch:

The LSB loader /lib64/ld-lsb-x86-64.so.3 does not exist. The
test suites will not run without it. If you are running this
on a non LSB compliant system and still wish to execute the
test suites then creating a symlink for /lib64/ld-lsb-x86-64.so.3 to
/lib/ld-linux.so.2 before re-running this program is most
likely the correct thing to do.


Comment 2 Lawrence Lim 2005-05-13 03:46:56 UTC
LSB3.0 RC has been released a few weeks ago. Think this package is crucial to be
fixed if we EL4 is aiming for LSB3.0.

Comment 3 Lawrence Lim 2005-05-27 06:42:44 UTC
Unlike the previous version, lsb-runtime-test-2.9.0-3.x86_64.rpm does not offer
any advise on the work around anymore. 

./run_tests: /home/tet/bin/tcc: /lib64/ld-lsb-x86-64.so.3: bad ELF interpreter:
No such file or directory
Failed to execute the test suites correctly.
Either they are not installed properly or you may
be missing the lsb linker  on your system.



Comment 4 Leon Ho 2005-06-09 03:53:08 UTC
Can you give these new rpms a spin?
porkchop:/mnt/redhat/beehive/comps/dist/4E-scratch/redhat-lsb/3.0-1.EL.test/

I have not update lsb-release yet, but just wanted to fix up the soname version
before moving on.

I am still enabling support for LSB{1,2,3}. For follow build I will be disabling
LSB{1,2} support.

(cc'ing back to eng-i18n-list so that it will under my normal radar)

Comment 5 Lawrence Lim 2005-06-10 04:21:19 UTC
Tried with lsb-runtime-test-3.0.0-3.i486.rpm with
redhat-lsb-3.0-1.EL.test.i386.rpm. Can now run the test normally without
failure. Will update with x86_64 shortly.

Comment 6 Leon Ho 2005-06-10 04:44:55 UTC
Devel ACK for U2

Comment 7 Lawrence Lim 2005-06-10 05:04:21 UTC
No problem in x86_64 as well. :-)

Comment 10 Leon Ho 2005-07-29 06:38:23 UTC
redhat-lsb-3.0-5.EL should be the RC including migrating parsing script to read
latest sgml spec and also using different method on getting command
requirements. Also added new provides and updated lsb-release and added new
requirements.

Waiting for other redhat-lsb fixes.

Comment 11 Lawrence Lim 2005-08-01 06:59:06 UTC
Ran lsb-runtime with redhat-lsb-3.0-5.EL on x86 arch, confirmed bug has been
resolved.

Comment 12 Leon Ho 2005-08-02 03:37:43 UTC
Everything is done on redhat-lsb-3.0-6.EL, including fixing the libraries
requirement on x86-64. Changing to MODIFIED.

Comment 15 Red Hat Bugzilla 2005-10-05 16:37:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2005-649.html



Note You need to log in before you can comment on or make changes to this bug.